Opened 9 years ago

Closed 9 years ago

#137 closed defect (worksforme)

Freeze with Intel X18-M/X25-M/X25-V G2 SSDs

Reported by: oneiros Owned by: somebody
Priority: minor Milestone:
Component: all Version: 5.40
Keywords: Cc:

Description

See also https://bugzilla.novell.com/show_bug.cgi?id=658663, https://bugs.launchpad.net/ubuntu/+source/smartmontools/+bug/597518

I just had an INTEL SSDSA2M080G2GN freeze up after an
smartctl -a /dev/sda:

Dec  9 23:55:57 dream sudo:       ms : TTY=pts/11 ; PWD=/etc ; USER=root ; COMMAND=/usr/sbin/smartctl -a /dev/sda
Dec  9 23:56:18 dream kernel: [18038.930588] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Dec  9 23:56:18 dream kernel: [18038.930597] ata1.00: failed command: SMART
Dec  9 23:56:18 dream kernel: [18038.930606] ata1.00: cmd b0/d5:01:06:4f:c2/00:00:00:00:00/00 tag 0 pio 512 in
Dec  9 23:56:18 dream kernel: [18038.930608]          res 40/00:04:80:cd:b3/00:00:05:00:00/40 Emask 0x4 (timeout)
Dec  9 23:56:18 dream kernel: [18038.930613] ata1.00: status: { DRDY }
Dec  9 23:56:18 dream kernel: [18038.930619] ata1: hard resetting link
Dec  9 23:56:18 dream kernel: [18039.234710] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
Dec  9 23:56:18 dream kernel: [18039.235427] ata1.00: configured for UDMA/133
Dec  9 23:56:18 dream kernel: [18039.235446] ata1: EH complete
Dec  9 23:56:38 dream kernel: [18059.892334] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Dec  9 23:56:38 dream kernel: [18059.892341] ata1.00: failed command: SMART
Dec  9 23:56:38 dream kernel: [18059.892350] ata1.00: cmd b0/d5:01:09:4f:c2/00:00:00:00:00/00 tag 0 pio 512 in
Dec  9 23:56:38 dream kernel: [18059.892352]          res 40/00:04:80:cd:b3/00:00:05:00:00/40 Emask 0x4 (timeout)
Dec  9 23:56:38 dream kernel: [18059.892357] ata1.00: status: { DRDY }
Dec  9 23:56:38 dream kernel: [18059.892363] ata1: hard resetting link
Dec  9 23:56:39 dream kernel: [18060.196645] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
Dec  9 23:56:39 dream kernel: [18060.197318] ata1.00: configured for UDMA/133
Dec  9 23:56:39 dream kernel: [18060.197339] ata1: EH complete
> sudo /usr/sbin/smartctl -a /dev/sda
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

=== START OF INFORMATION SECTION ===
Model Family:     Intel X18-M/X25-M/X25-V G2 SSDs
Device Model:     INTEL SSDSA2M080G2GN
Serial Number:    CVPO017402JP080JGN
Firmware Version: 2CV102HD
User Capacity:    80.026.361.856 bytes
Device is:        In smartctl database [for details use: -P show]
ATA Version is:   7
ATA Standard is:  ATA/ATAPI-7 T13 1532D revision 1
Local Time is:    Thu Dec  9 23:55:57 2010 CET
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

General SMART Values:
Offline data collection status:  (0x00) Offline data collection activity
                                        was never started.
                                        Auto Offline Data Collection: Disabled.
Self-test execution status:      (   0) The previous self-test routine completed
                                        without error or no self-test has ever 
                                        been run.
Total time to complete Offline 
data collection:                 (   1) seconds.
Offline data collection
capabilities:                    (0x75) SMART execute Offline immediate.
                                        No Auto Offline data collection support.
                                        Abort Offline collection upon new
                                        command.
                                        No Offline surface scan supported.
                                        Self-test supported.
                                        Conveyance Self-test supported.
                                        Selective Self-test supported.
SMART capabilities:            (0x0003) Saves SMART data before entering
                                        power-saving mode.
                                        Supports SMART auto save timer.
Error logging capability:        (0x01) Error logging supported.
                                        General Purpose Logging supported.
Short self-test routine 
recommended polling time:        (   1) minutes.
Extended self-test routine
recommended polling time:        (   1) minutes.
Conveyance self-test routine
recommended polling time:        (   1) minutes.

SMART Attributes Data Structure revision number: 5
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME          FLAG     VALUE WORST THRESH TYPE      UPDATED 
WHEN_FAILED RAW_VALUE
  3 Spin_Up_Time            0x0020   100   100   000    Old_age   Offline     -       0
  4 Start_Stop_Count        0x0030   100   100   000    Old_age   Offline     -       0
  5 Reallocated_Sector_Ct   0x0032   100   100   000    Old_age   Always      -       0
  9 Power_On_Hours          0x0032   100   100   000    Old_age   Always      -       163
 12 Power_Cycle_Count       0x0032   100   100   000    Old_age   Always      -       67
192 Unsafe_Shutdown_Count   0x0032   100   100   000    Old_age   Always      -       6
225 Host_Writes_32MiB       0x0030   200   200   000    Old_age   Offline     -       5330
226 Workld_Media_Wear_Indic 0x0032   100   100   000    Old_age   Always      -       7397
227 Workld_Host_Reads_Perc  0x0032   100   100   000    Old_age   Always      -       0
228 Workload_Minutes        0x0032   100   100   000    Old_age   Always      -       3651502743
232 Available_Reservd_Space 0x0033   100   100   010    Pre-fail  Always      -       0
233 Media_Wearout_Indicator 0x0032   099   099   000    Old_age   Always      -       0
184 End-to-End_Error        0x0033   100   100   099    Pre-fail  Always      -       0

SMART Error Log Version: 1
No Errors Logged

Error SMART Error Self-Test Log Read failed: Eingabe-/Ausgabefehler
Smartctl: SMART Self Test Log Read Failed
Error SMART Read Selective Self-Test Log failed: Eingabe-/Ausgabefehler
Smartctl: SMART Selective Self Test Log Read Failed

smartctl is from smartmontools-5.40 2010-10-16 r3189

dmesg is attached.

Attachments (2)

dmesg.txt (243.7 KB) - added by oneiros 9 years ago.
hwinfo-disk.txt (3.5 KB) - added by oneiros 9 years ago.
hwinfo --disk

Download all attachments as: .zip

Change History (12)

Changed 9 years ago by oneiros

Attachment: dmesg.txt added

Changed 9 years ago by oneiros

Attachment: hwinfo-disk.txt added

hwinfo --disk

comment:1 Changed 9 years ago by oneiros

> uname -a
Linux dream 2.6.34.7-0.5-desktop #1 SMP PREEMPT 2010-10-25 08:40:12 +0200 x86_64 x86_64 x86_64 GNU/Linux

comment:2 Changed 9 years ago by Christian Franke

Priority: majorcritical

Could not reproduce this on an Intel based system, P35 chipset, Linux 2.6.33 (grml 2010.04 Live CD) and this SSD with a (probably newer) firmware version:

=== START OF INFORMATION SECTION ===
Model Family:     Intel X18-M/X25-M/X25-V G2 SSDs
Device Model:     INTEL SSDSA2M080G2GC
Firmware Version: 2CV102J8
User Capacity:    80,026,361,856 bytes

Please test whether other SMART READ LOG or READ LOG EXT commands work or not:

# smartctl -l directory /dev/sda
# smartctl -l directory,s /dev/sda
# smartctl -l directory,g /dev/sda
# smartctl -l sataphy /dev/sda
# smartctl -l smartlog,0x80 /dev/sda
# smartctl -l gplog,0x80 /dev/sda

comment:3 in reply to:  2 ; Changed 9 years ago by oneiros

Replying to chrfranke:

Could not reproduce this on an Intel based system, P35 chipset, Linux 2.6.33 (grml 2010.04 Live CD) and this SSD with a (probably newer) firmware version:

System is OpenSUSE 11.3, P35 chipset, and in the meantime I downgraded to smartmontools "5.39.1 2010-01-28 r3054", because the 5.40 from OS is unsupported. :-(

=== START OF INFORMATION SECTION ===
Device Model:     INTEL SSDSA2M080G2GN
Serial Number:    CVPO017402JP080JGN
Firmware Version: 2CV102HD
User Capacity:    80.026.361.856 bytes
Device is:        Not in smartctl database [for details use: -P showall]
ATA Version is:   7
ATA Standard is:  ATA/ATAPI-7 T13 1532D revision 1
Local Time is:    Wed Dec 29 13:12:04 2010 CET
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

Please test whether other SMART READ LOG or READ LOG EXT commands work or not:

Well, they work somehow (the disc doesn't crash), but return no meaningfull information:

> sudo /usr/sbin/smartctl -l directory /dev/sda
smartctl 5.39.1 2010-01-28 r3054 [x86_64-unknown-linux-gnu] (openSUSE RPM)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

General Purpose Logging (GPL) feature set supported
General Purpose Log Directory Version 1
SMART           Log Directory Version 1 [multi-sector log support]
GP/S  Log at address 0x00 has    1 sectors [Log Directory]
GP/S  Log at address 0x01 has    1 sectors [Summary SMART error log]
GP/S  Log at address 0x02 has    8 sectors [Comprehensive SMART error log]
GP/S  Log at address 0x03 has    8 sectors [Ext. Comprehensive SMART error log]
GP/S  Log at address 0x06 has    1 sectors [SMART self-test log]
GP/S  Log at address 0x07 has    1 sectors [Extended self-test log]
GP/S  Log at address 0x09 has    1 sectors [Selective self-test log]
GP/S  Log at address 0x10 has    1 sectors [NCQ Command Error]
GP/S  Log at address 0x11 has    1 sectors [SATA Phy Event Counters]
GP/S  Log at address 0x80 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x81 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x82 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x83 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x84 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x85 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x86 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x87 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x88 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x89 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x8a has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x8b has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x8c has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x8d has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x8e has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x8f has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x90 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x91 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x92 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x93 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x94 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x95 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x96 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x97 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x98 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x99 has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x9a has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x9b has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x9c has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x9d has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x9e has   16 sectors [Host vendor specific log]
GP/S  Log at address 0x9f has   16 sectors [Host vendor specific log]
> sudo /usr/sbin/smartctl -l directory,s /dev/sda
smartctl 5.39.1 2010-01-28 r3054 [x86_64-unknown-linux-gnu] (openSUSE RPM)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

General Purpose Logging (GPL) feature set supported
SMART Log Directory Version 1 [multi-sector log support]
SMART Log at address 0x00 has    1 sectors [Log Directory]
SMART Log at address 0x01 has    1 sectors [Summary SMART error log]
SMART Log at address 0x02 has    8 sectors [Comprehensive SMART error log]
SMART Log at address 0x03 has    8 sectors [Ext. Comprehensive SMART error log]
SMART Log at address 0x06 has    1 sectors [SMART self-test log]
SMART Log at address 0x07 has    1 sectors [Extended self-test log]
SMART Log at address 0x09 has    1 sectors [Selective self-test log]
SMART Log at address 0x10 has    1 sectors [NCQ Command Error]
SMART Log at address 0x11 has    1 sectors [SATA Phy Event Counters]
SMART Log at address 0x80 has   16 sectors [Host vendor specific log]
SMART Log at address 0x81 has   16 sectors [Host vendor specific log]
SMART Log at address 0x82 has   16 sectors [Host vendor specific log]
SMART Log at address 0x83 has   16 sectors [Host vendor specific log]
SMART Log at address 0x84 has   16 sectors [Host vendor specific log]
SMART Log at address 0x85 has   16 sectors [Host vendor specific log]
SMART Log at address 0x86 has   16 sectors [Host vendor specific log]
SMART Log at address 0x87 has   16 sectors [Host vendor specific log]
SMART Log at address 0x88 has   16 sectors [Host vendor specific log]
SMART Log at address 0x89 has   16 sectors [Host vendor specific log]
SMART Log at address 0x8a has   16 sectors [Host vendor specific log]
SMART Log at address 0x8b has   16 sectors [Host vendor specific log]
SMART Log at address 0x8c has   16 sectors [Host vendor specific log]
SMART Log at address 0x8d has   16 sectors [Host vendor specific log]
SMART Log at address 0x8e has   16 sectors [Host vendor specific log]
SMART Log at address 0x8f has   16 sectors [Host vendor specific log]
SMART Log at address 0x90 has   16 sectors [Host vendor specific log]
SMART Log at address 0x91 has   16 sectors [Host vendor specific log]
SMART Log at address 0x92 has   16 sectors [Host vendor specific log]
SMART Log at address 0x93 has   16 sectors [Host vendor specific log]
SMART Log at address 0x94 has   16 sectors [Host vendor specific log]
SMART Log at address 0x95 has   16 sectors [Host vendor specific log]
SMART Log at address 0x96 has   16 sectors [Host vendor specific log]
SMART Log at address 0x97 has   16 sectors [Host vendor specific log]
SMART Log at address 0x98 has   16 sectors [Host vendor specific log]
SMART Log at address 0x99 has   16 sectors [Host vendor specific log]
SMART Log at address 0x9a has   16 sectors [Host vendor specific log]
SMART Log at address 0x9b has   16 sectors [Host vendor specific log]
SMART Log at address 0x9c has   16 sectors [Host vendor specific log]
SMART Log at address 0x9d has   16 sectors [Host vendor specific log]
SMART Log at address 0x9e has   16 sectors [Host vendor specific log]
SMART Log at address 0x9f has   16 sectors [Host vendor specific log]
 sudo /usr/sbin/smartctl -l directory,g /dev/sda
smartctl 5.39.1 2010-01-28 r3054 [x86_64-unknown-linux-gnu] (openSUSE RPM)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

General Purpose Logging (GPL) feature set supported
General Purpose Log Directory Version 1
GP Log at address 0x00 has    1 sectors [Log Directory]
GP Log at address 0x01 has    1 sectors [Summary SMART error log]
GP Log at address 0x02 has    8 sectors [Comprehensive SMART error log]
GP Log at address 0x03 has    8 sectors [Ext. Comprehensive SMART error log]
GP Log at address 0x06 has    1 sectors [SMART self-test log]
GP Log at address 0x07 has    1 sectors [Extended self-test log]
GP Log at address 0x09 has    1 sectors [Selective self-test log]
GP Log at address 0x10 has    1 sectors [NCQ Command Error]
GP Log at address 0x11 has    1 sectors [SATA Phy Event Counters]
GP Log at address 0x80 has   16 sectors [Host vendor specific log]
GP Log at address 0x81 has   16 sectors [Host vendor specific log]
GP Log at address 0x82 has   16 sectors [Host vendor specific log]
GP Log at address 0x83 has   16 sectors [Host vendor specific log]
GP Log at address 0x84 has   16 sectors [Host vendor specific log]
GP Log at address 0x85 has   16 sectors [Host vendor specific log]
GP Log at address 0x86 has   16 sectors [Host vendor specific log]
GP Log at address 0x87 has   16 sectors [Host vendor specific log]
GP Log at address 0x88 has   16 sectors [Host vendor specific log]
GP Log at address 0x89 has   16 sectors [Host vendor specific log]
GP Log at address 0x8a has   16 sectors [Host vendor specific log]
GP Log at address 0x8b has   16 sectors [Host vendor specific log]
GP Log at address 0x8c has   16 sectors [Host vendor specific log]
GP Log at address 0x8d has   16 sectors [Host vendor specific log]
GP Log at address 0x8e has   16 sectors [Host vendor specific log]
GP Log at address 0x8f has   16 sectors [Host vendor specific log]
GP Log at address 0x90 has   16 sectors [Host vendor specific log]
GP Log at address 0x91 has   16 sectors [Host vendor specific log]
GP Log at address 0x92 has   16 sectors [Host vendor specific log]
GP Log at address 0x93 has   16 sectors [Host vendor specific log]
GP Log at address 0x94 has   16 sectors [Host vendor specific log]
GP Log at address 0x95 has   16 sectors [Host vendor specific log]
GP Log at address 0x96 has   16 sectors [Host vendor specific log]
GP Log at address 0x97 has   16 sectors [Host vendor specific log]
GP Log at address 0x98 has   16 sectors [Host vendor specific log]
GP Log at address 0x99 has   16 sectors [Host vendor specific log]
GP Log at address 0x9a has   16 sectors [Host vendor specific log]
GP Log at address 0x9b has   16 sectors [Host vendor specific log]
GP Log at address 0x9c has   16 sectors [Host vendor specific log]
GP Log at address 0x9d has   16 sectors [Host vendor specific log]
GP Log at address 0x9e has   16 sectors [Host vendor specific log]
GP Log at address 0x9f has   16 sectors [Host vendor specific log]
> sudo /usr/sbin/smartctl -l sataphy /dev/sda
smartctl 5.39.1 2010-01-28 r3054 [x86_64-unknown-linux-gnu] (openSUSE RPM)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

General Purpose Logging (GPL) feature set supported
SATA Phy Event Counters (GP Log 0x11)
ID      Size     Value  Description
0x0001  4            0  Command failed due to ICRC error
0x0004  4            0  R_ERR response for host-to-device data FIS
0x0007  4            0  R_ERR response for host-to-device non-data FIS
0x0008  4            0  Device-to-host non-data FIS retries
0x0009  4            6  Transition from drive PhyRdy to drive PhyNRdy
0x000a  4            7  Device-to-host register FISes sent due to a COMRESET
0x000b  4            0  CRC errors within host-to-device FIS
0x000d  4            0  Non-CRC errors within host-to-device FIS
0x000f  4            0  R_ERR response for host-to-device data FIS, CRC
0x0010  4            0  R_ERR response for host-to-device data FIS, non-CRC
0x0012  4            0  R_ERR response for host-to-device non-data FIS, CRC
0x0013  4            0  R_ERR response for host-to-device non-data FIS, non-CRC
> sudo /usr/sbin/smartctl -l smartlog,0x80 /dev/sda
smartctl 5.39.1 2010-01-28 r3054 [x86_64-unknown-linux-gnu] (openSUSE RPM)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

General Purpose Logging (GPL) feature set supported
SMART Log 0x80 [Host vendor specific log], Page 0-0 (of 16)
0000000: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000020: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000030: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000040: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000050: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000060: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000070: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000080: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000090: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000100: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000110: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000120: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000130: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000140: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000150: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000160: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000170: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000180: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000190: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
> sudo /usr/sbin/smartctl -l gplog,0x80 /dev/sda
smartctl 5.39.1 2010-01-28 r3054 [x86_64-unknown-linux-gnu] (openSUSE RPM)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

General Purpose Logging (GPL) feature set supported
General Purpose Log 0x80 [Host vendor specific log], Page 0-0 (of 16)
0000000: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000020: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000030: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000040: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000050: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000060: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000070: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000080: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000090: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000100: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000110: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000120: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000130: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000140: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000150: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000160: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000170: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000180: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000190: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

The self test log should not be empty; I got this before:

SMART Error Log Version: 1
No Errors Logged

SMART Self-test log structure revision number 1
Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
# 1  Vendor offline      Completed without error       00%       316         -
# 2  Vendor offline      Completed without error       00%       210         -
# 3  Vendor offline      Completed without error       00%       160         -
# 4  Vendor offline      Completed without error       00%        37         -
# 5  Vendor offline      Completed without error       00%        19         -

Note: selective self-test log revision number (0) not 1 implies that no selective self-test has ever been run
SMART Selective self-test log data structure revision number 0
Note: revision number not 1 implies that no selective self-test has ever been run
 SPAN  MIN_LBA  MAX_LBA  CURRENT_TEST_STATUS
    1        0        0  Not_testing
    2        0        0  Not_testing
    3        0        0  Not_testing
    4        0        0  Not_testing
    5        0        0  Not_testing
Selective self-test flags (0x0):
  After scanning selected spans, do NOT read-scan remainder of disk.
If Selective self-test is pending on power-up, resume after 0 minute delay.

comment:4 in reply to:  3 ; Changed 9 years ago by Christian Franke

Replying to oneiros:

System is OpenSUSE 11.3, P35 chipset, and in the meantime I downgraded to smartmontools "5.39.1 2010-01-28 r3054", because the 5.40 from OS is unsupported. :-(

5.40 can be easily build from source.

Please test whether other SMART READ LOG or READ LOG EXT commands work or not:

Well, they work somehow (the disc doesn't crash), but return no meaningfull information:
[...]

All these outputs look good. Did these test produce any kernel error messages?

[...]
SMART Log 0x80 [Host vendor specific log], Page 0-0 (of 16)

It is normal that logs 0x80-0x9f are empty.

The self test log should not be empty; I got this before:

Please test:

# smartctl -l selftest /dev/sda
# smartctl -l smartlog,0x06 /dev/sda

comment:5 in reply to:  4 ; Changed 9 years ago by oneiros

Replying to chrfranke:

5.40 can be easily build from source.

Will do.

All these outputs look good. Did these test produce any kernel error messages?

No. Only "-a" does.

Please test:

# smartctl -l selftest /dev/sda
# smartctl -l smartlog,0x06 /dev/sda

All is well:

smartctl 5.39.1 2010-01-28 r3054 [x86_64-unknown-linux-gnu] (openSUSE RPM)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

=== START OF READ SMART DATA SECTION ===
SMART Self-test log structure revision number 1
Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
# 1  Vendor offline      Completed without error       00%       316         -
# 2  Vendor offline      Completed without error       00%       316         -
# 3  Vendor offline      Completed without error       00%       210         -
# 4  Vendor offline      Completed without error       00%       160         -
# 5  Vendor offline      Completed without error       00%        37         -
# 6  Vendor offline      Completed without error       00%        19         -
smartctl 5.39.1 2010-01-28 r3054 [x86_64-unknown-linux-gnu] (openSUSE RPM)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

General Purpose Logging (GPL) feature set supported
SMART Log 0x06 [SMART self-test log], Page 0-0 (of 1)
0000000: 01 00 b0 00 13 00 00 ff ff ff ff 00 00 00 00 00
0000010: 00 00 00 00 00 00 00 00 00 00 a8 00 25 00 00 ff
0000020: ff ff ff 00 00 00 00 00 00 00 00 00 00 00 00 00
0000030: 00 00 90 00 a0 00 00 ff ff ff ff 00 00 00 00 00
0000040: 00 00 00 00 00 00 00 00 00 00 90 00 d2 00 00 ff
0000050: ff ff ff 00 00 00 00 00 00 00 00 00 00 00 00 00
0000060: 00 00 c8 00 3c 01 00 ff ff ff ff 00 00 00 00 00
0000070: 00 00 00 00 00 00 00 00 00 00 c0 00 3c 01 00 ff
0000080: ff ff ff 00 00 00 00 00 00 00 00 00 00 00 00 00
0000090: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00000f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000100: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000110: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000120: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000130: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000140: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000150: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000160: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000170: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000180: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0000190: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00001f0: 00 00 00 00 00 00 00 00 00 00 00 00 06 00 00 ed

comment:6 in reply to:  5 ; Changed 9 years ago by oneiros

Replying to oneiros:

Replying to chrfranke:

5.40 can be easily build from source.

Will do.

I did. The first test results are encouraging: The hdd doesn't freeze anymore.

The only freeze I got was from a "-a" with 5.40 after an "-a" with 5.39 (which froze).
After an "-i" from 5.40 everything is non-freezing. I'll keep watching (and maybe install 5.40 :).

comment:7 in reply to:  6 ; Changed 9 years ago by Christian Franke

Replying to oneiros:

I did. The first test results are encouraging: The hdd doesn't freeze anymore.

Thanks. But I have no idea why 5.40 works but 5.39.1 doesn't.

The only freeze I got was from a "-a" with 5.40 after an "-a" with 5.39 (which froze).
After an "-i" from 5.40 everything is non-freezing. I'll keep watching (and maybe install 5.40 :).

Option "-a" is equivalent to:

# smartctl -i -H -c -A -l error -l selftest -l selective /dev/sda

Which minimal subset of these options results in kernel messages when 5.39.1 is used?
(Removing "-i -c -A" does not make much difference because 5.39.1 always reads IDENTIFY and SMART data.)

The above kernel messages suggest that command SMART READ LOG 0x06 (selftest) and 0x09 (selective) failed after SMART READ LOG 0x01 (error) was issued successfully.

comment:8 in reply to:  7 ; Changed 9 years ago by oneiros

Replying to chrfranke:

Option "-a" is equivalent to:

# smartctl -i -H -c -A -l error -l selftest -l selective /dev/sda

Really? Because with 5.39.1 the above command works while "-a" freezes. Mostly - this is non-deterministic. :-(

I'll cleanly reboot the system and try again.

comment:9 in reply to:  8 Changed 9 years ago by oneiros

Priority: criticalminor

Replying to oneiros:

I'll cleanly reboot the system and try again.

Since then (and with a new kernel by OpenSUSE) the problems are gone; I'll keep watching.

comment:10 Changed 9 years ago by Christian Franke

Resolution: worksforme
Status: newclosed

This is a Intel SSD firmware issue. Should be fixed in new firmware 2CV102M3.
See http://downloadcenter.intel.com/Detail_Desc.aspx?DwnldID=18363

Note: See TracTickets for help on using tickets.